SuperLU: SRC/dpanel_bmod.c File Reference

# SRC/dpanel_bmod.c File Reference

Performs numeric block updates. More...

`#include <stdio.h>`
`#include <stdlib.h>`
`#include "slu_ddefs.h"`

## Functions
void | dlsolve (int, int, double *, double *)
| Solves a dense UNIT lower triangular system.
void | dmatvec (int, int, int, double *, double *, double *)
| Performs a dense matrix-vector multiply: Mxvec = Mxvec + M * vec.
void | dcheck_tempv ()
void | dpanel_bmod (const int m, const int w, const int jcol, const int nseg, double *dense, double *tempv, int *segrep, int *repfnz, GlobalLU_t *Glu, SuperLUStat_t *stat)

## Detailed Description

     -- SuperLU routine (version 3.0) --
     Univ. of California Berkeley, Xerox Palo Alto Research Center,
     and Lawrence Berkeley National Lab.
     October 15, 2003

     Copyright (c) 1994 by Xerox Corporation.  All rights reserved.

     THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY
     EXPRESSED OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.

     Permission is hereby granted to use or copy this program for any
     purpose, provided the above notices are retained on all copies.
     Permission to modify the code and to distribute modified code is
     granted, provided the above notices are retained, and a notice that
     the code was modified is included with the above copyright notice.

## Function Documentation

void dcheck_tempv | ( |  | ) |

void dlsolve | ( | int | ldm,
|  | int | ncol,
|  | double * | M,
|  | double * | rhs |
| ) |  |  |

The unit lower triangular matrix is stored in a 2D array M(1:nrow,1:ncol). The solution will be returned in the rhs vector.

void dmatvec | ( | int | ldm,
|  | int | nrow,
|  | int | ncol,
|  | double * | M,
|  | double * | vec,
|  | double * | Mxvec |
| ) |  |  |

The input matrix is M(1:nrow,1:ncol); The product is returned in Mxvec[].

void dpanel_bmod | ( | const int | m,
|  | const int | w,
|  | const int | jcol,
|  | const int | nseg,
|  | double * | dense,
|  | double * | tempv,
|  | int * | segrep,
|  | int * | repfnz,
|  | GlobalLU_t * | Glu,
|  | SuperLUStat_t * | stat |
| ) |  |  |

     Purpose
     =======

        Performs numeric block updates (sup-panel) in topological order.
        It features: col-col, 2cols-col, 3cols-col, and sup-col updates.
        Special processing on the supernodal portion of L[*,j]

        Before entering this routine, the original nonzeros in the panel
        were already copied into the spa[m,w].

        Updated/Output parameters-
        dense[0:m-1,w]: L[*,j:j+w-1] and U[*,j:j+w-1] are returned
        collectively in the m-by-w vector dense[*].